Subject: Re: [bug#44207] [PATCH] doc: Document the postgresql-config-file.

From: Christopher Baines <[email-masked]>
Date: Sun, 25 Oct 2020 11:06:20 +0000

Miguel Ángel Arruga Vivas <[email-masked]> writes:

> Hi!
> Some comments inline.

Hey, thanks for the quick comments :)

> Christopher Baines <[email-masked]> writes:
>> +@deftp {Data Type} postgresql-config-file
>> +Data type representing the PostgreSQL configuration file.  As shown in
>> +the following example, this can be used to customise the configuration
>> +of PostgreSQL.  Note that you can use any G-expression or filename in
>> +place of this record, if you already have a configuration file you'd
>> +like to use for example.
>
> I'm pretty sure you should s/customise/customize/, as the manual is
> written in US English.

Indeed, old habits :)

> Also, I'd move the last sentence to the hba-file description as an
> example there, something like: "Filename or G-expression for the
> host-based authentication configuration.  If you already have a
> configuration file, you can use it here."

While the same is true for the hba-file, and ident-file bit, I wanted to
make this point for the postgresql-config-file record as a
whole. Hopefully that makes sense?

> [...]
>> +@item @var{log-destination} (default: @code{"syslog"})
> [...]
>> +@item @var{hba-file} (default: @code{%default-postgres-hba})
> [...]
>> +@item @var{ident-file} (default: @code{%default-postgres-ident})
> [...]
>> +@item @var{extra-config} (default: @code{'()})
>
> These should be @code, not @var, because they represent symbols from the
> configuration.  The typical use of @var is for arguments---e.g.
> @code{(call-something @var{param1} @var{param2})}---, whose names
> don't have a meaning outside the actual implementation, but these
> identifiers are symbols included in the API.

Ah, this is probably something I got wrong when documenting the
postgresql-configuration record, I wonder if I copied that from
somewhere else... anyway, I've fixed this now.

> Apart from that, LGTM. :-)

Great, I've pushed now with the above changes.